Installation Problem in 4.1 Beta 2

I receive the following error when trying to install:

"This advertised application will not be installed because it might be unsafe. Contact your administrator to change the installation user interface option of the package to basic."

Is this error because the download does not have a digital certificate, or something else? I have administrator rights to my PC. I had no such problem with 4.1 Beta 1.